TreeStateCommandEvent (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.state.events.TreeStateCommandEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.state.events
Class TreeStateCommandEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.component.state.events.TreeStateCommandEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CollapseAllCommandEvent, ExpandAllCommandEvent, TreeStateCommandNodeEvent

    public abstract class TreeStateCommandEvent

extends javax.faces.event.FacesEvent

Author:
  Nick - mailto:nbelaevski@exadel.com created 01.12.2006
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeStateCommandEvent(javax.faces.component.UIComponent component)`

Method Summary
`protected abstract void` | `execute(TreeStateCommandsListener commandsListener)`
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeStateCommandEvent

    public TreeStateCommandEvent(javax.faces.component.UIComponent component)

Method Detail

### isAppropriateListener

    public final boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public final void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

### execute

    protected abstract void execute(TreeStateCommandsListener commandsListener)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.